GuideLab API

Add line item to an existing order

Adds a new line item to a draft order. Pricing is resolved from the lab's authoritative price-list publication and catalog at insertion time.

POST
/orders/{id}/items

Adds a new line item to a draft order. Pricing is resolved from the lab's authoritative price-list publication and catalog at insertion time.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/items" \  -H "Content-Type: application/json" \  -d '{    "productId": "550e8400-e29b-41d4-a716-446655440000"  }'
{  "item": null}
Empty
Empty
Empty
Empty
Empty